unit FMXClient;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Edit, Data.Bind.EngExt,
  Fmx.Bind.DBEngExt, Fmx.Bind.Editors, Data.Bind.Components, Data.Bind.DBScope,
  Data.Bind.DBLinks, Fmx.Bind.DBLinks, FMX.Layouts, FMX.Grid;

type
  TForm3 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    StringGrid1: TStringGrid;
    BindingsList1: TBindingsList;
    BindScopeDB1: TBindScopeDB;
    DBLinkStringGrid11: TBindDBGridLink;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.fmx}

uses ClientModuleUnit1, ClientClassesUnit1;

procedure TForm3.Button1Click(Sender: TObject);
begin
  Edit1.text :=
    DateTimeToStr(ClientModule1.ServerMethods1Client.ServerTime)
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  Edit1.Text :=
    ClientModule1.ServerMethods1Client.ReverseString(Edit1.Text)
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
  ClientModule1.ClientDataSet1.Open;
end;

end.
